Name:       vorta
Version:    0.10.2
Release:    %mkrel 1
Group:      Archiving/Backup
Summary:    A GUI for Borg Backup
License:    GPL-3.0-only AND BSD-2-Clause AND OFL-1.1
URL:        https://vorta.borgbase.com/
Source0:    https://github.com/borgbase/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(peewee)
BuildRequires:  python3dist(platformdirs)
BuildRequires:  python3dist(pyqt6)
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(secretstorage)

Requires:  borgbackup
Requires:  hicolor-icon-theme
Requires:  python3-pyqt6-sip
Requires:  python3-qt6-gui
Requires:  python3-qt6-dbus
Requires:  python3-qt6-network
Requires:  python3-qt6-svg
Requires:  python3-qt6-widgets

%description
Vorta is a backup client for macOS and Linux desktops.
It integrates the mighty BorgBackup with your desktop environment
to protect your data from disk failure, ransomware and theft

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

install -D -p -m 644 src/vorta/assets/icons/icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/com.borgbase.Vorta.svg
install -D -p -m 644 package/icon-symbolic.svg %{buildroot}%{_iconsdir}/hicolor/symbolic/apps/com.borgbase.Vorta-symbolic.svg
install -D -p src/vorta/assets/metadata/com.borgbase.Vorta.desktop -t %{buildroot}%{_datadir}/applications/
install -D -p src/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml -t %{buildroot}/%{_metainfodir}/

%files -f %{pyproject_files}
%doc README.md CONTRIBUTORS.md
%license LICENSE.txt src/vorta/assets/icons/{APACHE,OFL}.txt
%{_bindir}/vorta
%{_datadir}/applications/com.borgbase.Vorta.desktop
%{_iconsdir}/hicolor/*/apps/com.borgbase.Vorta*.svg
%{_metainfodir}/com.borgbase.Vorta.appdata.xml



%changelog
* Thu Dec 05 2024 daviddavid <daviddavid> 0.10.2-1.mga10
+ Revision: 2121765
- new version: 0.10.2

* Tue Apr 16 2024 mokraemer <mokraemer> 0.9.1-0.1.mga10
+ Revision: 2057872
- fix missing Group
- Initial import, thanks to Aurelian
- Created package structure for vorta.

